package com.ruoyi.project.patrol.dev.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.patrol.dev.mapper.TDevBicycleMapper;
import com.ruoyi.project.patrol.dev.domain.TDevBicycle;
import com.ruoyi.project.patrol.dev.service.ITDevBicycleService;

/**
 * 自行车Service业务层处理
 * 
 * @author admin
 * @date 2023-11-09
 */
@Service
public class TDevBicycleServiceImpl implements ITDevBicycleService 
{
    @Autowired
    private TDevBicycleMapper tDevBicycleMapper;

    /**
     * 查询自行车
     * 
     * @param id 自行车主键
     * @return 自行车
     */
    @Override
    public TDevBicycle selectTDevBicycleById(Long id)
    {
        return tDevBicycleMapper.selectTDevBicycleById(id);
    }

    /**
     * 查询自行车列表
     * 
     * @param tDevBicycle 自行车
     * @return 自行车
     */
    @Override
    public List<TDevBicycle> selectTDevBicycleList(TDevBicycle tDevBicycle)
    {
        return tDevBicycleMapper.selectTDevBicycleList(tDevBicycle);
    }

    /**
     * 新增自行车
     * 
     * @param tDevBicycle 自行车
     * @return 结果
     */
    @Override
    public int insertTDevBicycle(TDevBicycle tDevBicycle)
    {
        return tDevBicycleMapper.insertTDevBicycle(tDevBicycle);
    }

    /**
     * 修改自行车
     * 
     * @param tDevBicycle 自行车
     * @return 结果
     */
    @Override
    public int updateTDevBicycle(TDevBicycle tDevBicycle)
    {
        return tDevBicycleMapper.updateTDevBicycle(tDevBicycle);
    }

    /**
     * 批量删除自行车
     * 
     * @param ids 需要删除的自行车主键
     * @return 结果
     */
    @Override
    public int deleteTDevBicycleByIds(Long[] ids)
    {
        return tDevBicycleMapper.deleteTDevBicycleByIds(ids);
    }

    /**
     * 删除自行车信息
     * 
     * @param id 自行车主键
     * @return 结果
     */
    @Override
    public int deleteTDevBicycleById(Long id)
    {
        return tDevBicycleMapper.deleteTDevBicycleById(id);
    }
}
